@layer base, config;

:root {
  --express-text-color-highlight-title-blue: #007aff;
  --express-text-color-title: #000;
  --express-text-color-accordion-title: #202020;
  --express-text-color-accordion-content-title: #0c0c0d;
  --express-text-color-white: #fff;
  --express-text-color-description: #959696;
  --express-text-color-feature-description: #676767;
  --express-text-color-accordion-content-description: #3e454b;
  --express-background-primary-button: #007aff;
  --express-background-primary-button-hover: #1952db;
  --express-text-color-fog: #b6c2ce;

  interpolate-size: allow-keywords;
}

@layer base {
  dialog {
    opacity: 0;
    transform: scale(0.2);
    transition: all 0.3s allow-discrete;
    display: none;
  }

  dialog[open] {
    opacity: 1;
    display: block;
    transform: scale(1);
  }

  dialog::backdrop {
    background-color: rgba(0,0,0,0.5);
  }
  
  @starting-style {
    dialog[open] {
      opacity: 0;
      transform: scale(0.2);
    }
  }

  details {
    overflow: hidden;
  }

  details::details-content {
    height: 0;
    transition: height 0.35s ease-in-out;
    transition-behavior: allow-discrete;
  }

  details[open]::details-content {
    height: auto;
  }
}

.express__main__container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  
  width: 100%;
  height: 100%;
  min-height: calc(100dvh - 3.5rem);
  padding: 0;
}

.express__section__container {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

/* Left Section */

.express__section__container--left {
  background-color: var(--express-text-color-white);
  width: 100%;
}

.express__section__container--left__accordion {
  width: 100%;
  max-width: 26rem;
  padding: 1.5rem;
}

.express__section__container--left__accordion__summary {
  user-select: none;
  list-style: none;
  display: flex;
  width: 100%;
}

.express__section__container--left__accordion__summary::marker {
  content: none;
}

.express__section__container--left__accordion__summary__container--mobile {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  gap: 0.5rem;
}

.express__section__container--left__accordion__summary__container--mobile__heading {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.express__section__container--left__accordion__summary__container--mobile__heading__trigger {
  color: var(--express-text-color-highlight-title-blue);
  font-weight: 700;
  line-height: 150%;
  font-size: 0.75rem;
  font-family: "Avenir Next Bold";
}

.express__section__container--left__accordion__summary__container--mobile__heading__trigger__icon {
  transform: rotate(90deg);
}

.express__section__container--left__accordion:open  .express__section__container--left__accordion__summary__container--mobile__heading__trigger__icon {
  transform: rotate(270deg);
}

.express__section__container--left__accordion__summary__container--mobile__vehicle-info {
  font-size: 0.75rem;
  line-height: 150%;
  color: var(--express-text-color-accordion-content-description);
  font-family: "Avenir Next";
}

.express__section__container--left__accordion__summary__container--desktop {
  display: none;
  align-items: flex-start;
  gap: 0.5rem;
}

.express__section__container--left__accordion__summary__title {
  color: var(--express-text-color-accordion-title);
  font-family: "Avenir Next Demi Bold";
  font-weight: 600;
  text-transform: uppercase;
  font-size: 0.75rem;
  line-height: 150%;
  letter-spacing: 0.125rem;
}

.express__section__container--left__accordion__summary__image {
  width: 8.875rem;
  height: 5.75rem;
  object-fit: cover;
  object-position: 0 -0.75rem;
}

.express__section__container--left__accordion__content {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  width: 100%;
}

.express__section__container--left__accordion__content__item {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 0.25rem;
}

.express__section__container--left__accordion__content__item__title__container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;

  font-family: "Avenir Next Bold";
  color: var(--express-text-color-accordion-content-title);
  font-size: 1rem;
  line-height: 1.5rem;
}

.express__section__container--left__accordion__content__item__title__container--left {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.express__section__container--left__accordion__content__item__title {
  margin-bottom: 0;
}

.express__section__container--left__accordion__content__item__info {
  display: flex;
  align-items: center;
  gap: 0.5rem;

  font-family: "Avenir Next Regular";
  color: var(--express-text-color-accordion-content-description);
  font-size: 1rem;
  line-height: 1.5rem;
}

.express__section__container--left__accordion__content__item__badge {
  font-size: 0.875rem;
  line-height: 0.75rem;
  font-weight: 600;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.375rem 0.75rem;
  border-radius: 1rem;
  width: fit-content;
}

.express__section__container--left__accordion__content__item__badge--due-later {
  color: #787878;
  background-color: #f0f0f0;
}

.express__section__container--left__accordion__content__item__badge--paid-today {
  color: #1c8842;
  background-color: #d4ffe3;
}

.express__section__container--left__accordion__content__item__description {
  font-size: 0.75rem;
  line-height: 150%;
  color: var(--express-text-color-accordion-content-description);
  max-width: 14.25rem;
}

.express__section__container--left__accordion__close__btn {
  background-color: transparent;
  border: none;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem;
  margin-inline: auto;
  font-size: 1rem;
  font-family: "Avenir Next Bold";
  font-weight: 700;
  color: var(--express-text-color-highlight-title-blue);
}

.express__section__container--left__accordion__close__btn:focus-visible {
  outline: 2px solid transparent;
  outline-offset: 2px;
  box-shadow: 0 0 0 2px rgba(0, 122, 255, 0.4);
}

.express__section__container--left__accordion__carousel--mobile {
  margin-top: 1rem;
  max-width: 26rem;
}

.express__section__container--left__accordion__carousel--mobile__title {
  text-transform: uppercase;
  font-weight: 600;
  font-family: "Avenir Next Demi Bold";
  font-size: 0.75rem;
  line-height: 1.5rem;
  letter-spacing: 0.125rem;
  color: var(--express-text-color-accordion-title)
}

.express__section__container--left__accordion__carousel--mobile__content {
  overflow-x: hidden;
  position: relative;
  width: 50rem;
}

.express__section__container--left__accordion__carousel--mobile__slider {
  display: flex;
  flex-direction: row;
  align-items: center;
  overflow-x: hidden;
}

/* Right Section */

.express__section__container--right {
  padding-bottom: 3rem;
  padding-top: 2.5rem;
  padding-inline: 1.5rem;
  max-width: 26rem;
  width: 100%;
  margin-inline: auto;
}

.express__section__container--right__content {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.express__section__container--right__title {
  font-size: 2.5rem;
  font-weight: 700;
  font-family: "GT Walsheim";
  color: var(--express-text-color-title);
  margin-bottom: 1.25rem;
}

.express__section__container--right__title > span[data-variant="highlight"] {
  color: var(--express-text-color-highlight-title-blue);
}

.express__section__container--right__description {
  font-size: 1rem;
  font-weight: 500;
  align-self: flex-start;
  color: var(--express-text-color-description);
  margin-bottom: 0.5rem;
}

.express__section__container--right__stars__container {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  margin-bottom: 2rem;
  align-self: flex-start;
}

.express__section__container--right__feature__container {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.express__section__container--right__feature {
  display: flex;
  align-items: flex-start;
  gap: 0.5rem;
}

.express__section__container--right__feature__description {
  font-size: 1rem;
  font-weight: 500;
  color: var(--express-text-color-feature-description);
}

.express__section__container--right__cta__button {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  padding: 0.75rem 1.5rem;
  gap: 0.5rem;
  margin-top: 3rem;
  margin-bottom: 0.75rem;
  border-radius: 0.5rem;

  font-family: "GT Walsheim";
  font-size: 1rem;
  font-weight: 700;
  color: var(--express-text-color-white);
  background-color: var(--express-background-primary-button);
  line-height: 150%;
}

.express__section__container--right__cta__button:is(:hover, :active) {
  background-color: var(--express-background-primary-button-hover);
  cursor: pointer;
}

.express__section__container--right__cta__button:focus-visible {
  outline: 2px solid transparent;
  outline-offset: 2px;
  box-shadow: 0 0 0 2px rgba(0, 122, 255, 0.4);
}

.express__section__container--right__get_in_touch__button {
  font-family: "GT Walsheim";
  text-align: center;
  font-size: 1rem;
  font-weight: 500;
  line-height: 150%;
  color: var(--express-text-color-highlight-title-blue);
}

.express__section__container--right__get_in_touch__button:is(:hover, :focus-visible) {
  text-decoration: underline;
  cursor: pointer;
}

.express__section__container--left__accordion__carousel--desktop {
  display: none;
}

.express__section__container--left__accordion__carousel--desktop__details {
  width: 100%;
}

.express__section__container--left__accordion__carousel--desktop__heading {
  user-select: none;
  list-style: none;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  width: fit-content;
  cursor: pointer;
}

.express__section__container--left__accordion__carousel--desktop__heading::marker {
  content: none;
}

.express__section__container--left__accordion__carousel--desktop__heading__title {
  font-size: 1rem;
  line-height: 1.5rem;
  text-align: center;
  font-family: "Avenir Next";
  color: var(--express-text-color-highlight-title-blue);
}

.express__section__container--left__accordion__carousel--desktop__details[open] .express__section__container--left__accordion__carousel--desktop__heading__title {
  font-weight: 700;
}

.express__section__container--left__accordion__carousel--desktop__step {
  display: flex;
  align-items: center;
  margin-bottom: 0.5rem;
}

.express__section__container--left__accordion__carousel--desktop__step__title {
  font-weight: 600;
  font-size: .75rem;
  line-height: 150%;
  letter-spacing: 2px;
  text-transform: uppercase;
  color: var(--express-text-color-fog);
}

.express__section__container--left__accordion__carousel--desktop__step__title.first__step {
  color: var(--express-text-color-highlight-title-blue);
}

.express__section__container--left__accordion__carousel--desktop__step__description {
  font-size: .75rem;
  line-height: 150%;
  width: 8rem;
  color: var(--express-text-color-accordion-content-description);
}

/* Extras */

#cityEdit {
  color: var(--express-text-color-highlight-title-blue);
  appearance: none;
  background-color: transparent;
  border: 0;
  padding: 0;
  font-size: 1rem;
  line-height: 1.5rem;
  font-family: "Avenir Next Regular";
}

#cityEdit:is(:hover, :focus-visible) {
  text-decoration: underline;
  cursor: pointer;
}

.express__edit__dialog,
.express__on__exit__dialog {
  position: relative;
  border-radius: 1rem;
  padding: 1rem 1.5rem;
  background-color: var(--express-text-color-white);
  border: 0;
  max-width: 21.5rem;
  max-height: 29.25rem;
  height: 100%;
  margin: auto;
}

.express__edit__dialog {
  max-height: calc(100dvh - 3.5rem);
  max-width: 100%;
  min-height: 100%;
  min-width: 100%;
  border-radius: 0;
  background-color: #f5f7f9;
}

.express__edit__dialog[open],
.express__on__exit__dialog[open] {
  display: flex;
  justify-content: center;
  align-items: center;
}

.express__edit__dialog__container,
.express__on__exit__dialog__container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.express__edit__dialog__title,
.express__on__exit__dialog__title {
  font-family: "GT Walsheim";
  font-weight: 500;
  color: var(--express-text-color-accordion-content-title);
  margin-bottom: 1rem;
  font-size: 1.5rem;
  line-height: 1.75rem;
  letter-spacing: -0.015em;
  text-align: center;
}

.express__on__exit__dialog__description {
  font-family: "Avenir Next";
  font-size: 1rem;
  line-height: 1.5rem;
  color: #616366;
  margin-bottom: 1.5rem;
  text-align: center;
}

.express__edit__dialog__close__btn,
.express__on__exit__dialog__close__btn {
  appearance: none;
  border: 0;
  background-color: transparent;
  position: absolute;
  top: 1rem;
  right: 1rem;
}

.express__edit__dialog__close__btn:hover,
.express__on__exit__dialog__close__btn:hover {
  cursor: pointer;
}

.express__edit__dialog__close__btn {
  display: none;
}

.express__edit__dialog__cta_btn,
.express__on__exit__dialog__cta_btn {
  width: 100%;
  display: flex;
  align-items: center;
  border-radius: 0.5rem;
  justify-content: center;
  background-color: var(--express-text-color-highlight-title-blue);
  color: var(--express-text-color-white);
  padding: 1rem 1.5rem;
  margin: 1rem;
  font-family: "Avenir Next Bold";
  font-size: 1rem;
  line-height: 150%;
  border: 0;
  gap: 0.5rem;
  max-width: 14.5rem;
}

.express__edit__dialog__cta_btn:hover,
.express__on__exit__dialog__cta_btn:hover {
  background-color: var(--express-background-primary-button-hover);
  cursor: pointer;
}

.express__edit__dialog__cta_btn {
  max-width: 21.5rem;
  width: 100%;
}

.express__on__exit__dialog__help__link {
  display: flex;
  color: var(--express-text-color-highlight-title-blue);
  font-family: "Avenir Next Bold";
  text-align: center;
  font-size: 1rem;
  line-height: 1.5rem;
  gap: 0.25rem;
  padding: 0.25rem 0.5rem;
}

.express__on__exit__dialog__help__link > img {
  filter: sepia(105%) hue-rotate(162deg) saturate(988%);
}

.express__on__exit__dialog__help__link:hover {
  cursor: pointer;
}

.express__on__exit__dialog__help__link:focus-visible {
  border: 1px solid var(--express-text-color-highlight-title-blue);
  border-radius: 0.5rem;
}

.express__edit__dialog__logo__nav {
  display: flex;
  align-items: center;
  padding: 1.5rem;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}

.express__edit__dialog__logo {
  position: absolute;
  left: 0;
  right: 0;
  margin: auto;
}

.express__edit__dialog__field {
  margin: 1rem 0;
  background-color: #fff;
  border-radius: 0.75rem;
  display: flex;
  flex-direction: column;
  padding: 0.75rem 1.5rem;
  border: 2px solid #e1eaf1;
  position: relative;
  font-family: "Avenir Next", sans-serif;
  color: var(--express-text-color-accordion-content-description);
  max-width: 21.5rem;
  width: 100%;
  margin-bottom: 1rem !important;
}

.express__edit__dialog__field label {
  font-size: 0.75rem;
  line-height: 1.5rem;
}

.express__edit__dialog__field input {
  color: var(--express-text-color-accordion-content-title);
  font-weight: 700;
  font-size: 1rem;
  line-height: 150%;
}

.express__edit__dialog__field:has(input:invalid):has(input:not(:placeholder-shown)) {
  border-color: var(--color-danger);
}

.express__edit__dialog__field:has(input:valid) {
  border-color: var(--color-valid);
}

.express__edit__dialog__field p {
  margin-top: 4.2rem;
}

/* Desktop */
@media (width >= 1024px) {
  
  html:has(dialog[open]:modal) {
    overflow: hidden;

    body {
      scrollbar-width: none !important;
    }
  }

  .express__main__container {
    height: calc(100dvh - 3.5rem);
    overflow-y: hidden;
    flex-direction: row;
  }

  .express__section__container {
    width: 50%;
  }

  .express__section__container--right {
    padding-top: 5rem;
    padding-inline: 0;
  }

  .express__section__container--left__accordion {
    overflow-y: auto;
    scrollbar-width: none;
    height: calc(100dvh - 3.5rem);
    max-width: 30rem;
  }

  .express__section__container--left__accordion__content__item__description {
    max-width: 100%;
  }

  .express__section__container--left__accordion__close__btn {
    display: none;
  }

  .express__section__container--left__accordion__summary__container--mobile {
    display: none;
  }

  .express__section__container--left__accordion__summary__container--desktop {
    display: flex;
  }

  .express__edit__dialog,
  .express__on__exit__dialog {
    max-width: 31rem;
    max-width: 31rem;
    padding: 5rem;
  }

  .express__edit__dialog {
    min-height: auto;
    min-width: auto;
    max-width: 31rem;
    max-height: 31rem;
    border-radius: 1rem;
    background-color: #fff;
  }

  .express__section__container--left__accordion__carousel--mobile {
    display: none;
  }

  .express__section__container--left__accordion__summary__image {
    width: 13.5rem;
    height: 7rem;
    object-position: 50% 50%;
  }

  .express__section__container--left__accordion__summary__title {
    font-size: 1.5rem;
    line-height: 1.75rem;
    letter-spacing: -0.015em;
    font-weight: 500;
    font-family: "GT Walsheim";
    text-transform: none;
  }

  .express__section__container--left__accordion__carousel--desktop {
    display: flex;
  }

  .express__edit__dialog__close__btn {
    display: flex;
  }

  .express__edit__dialog__logo__nav {
    display: none;
  }
}